[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# AnsiStrLComp

Compare a limited number of characters of 2 strings

## Declaration

Source position: sysstrh.inc line 90

`function AnsiStrLComp(`
`S1: PChar;`
`S2: PChar;`
`MaxLen: Cardinal`
`):Integer;`

## Description

AnsiStrLComp functions the same as AnsiStrComp, but compares at most MaxLen characters. If the first MaxLen characters in both strings are the same, then zero is returned.

Note that this function processes embedded null characters, treating them as a normal character.

## Errors

None.

## See also

AnsiStrComp |  | Compare two null-terminated strings. Case sensitive.
AnsiStrIComp |  | Compare two null-terminated strings. Case insensitive.
AnsiStrLIComp |  | Compares a given number of characters of a string, case insensitive.

Documentation generated on: Feb 26 2014